• Русский
  • UserProvisionedMachinePool [infrastructure.cluster.x-k8s.io/v1beta1]

    Description
    UserProvisionedMachinePool is the Schema for the userprovisionedmachinepools API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    UserProvisionedMachinePoolSpec defines the desired state of UserProvisionedMachinePool

    statusobject

    UserProvisionedMachinePoolStatus defines the observed state of UserProvisionedMachinePool

    .spec

    Description
    UserProvisionedMachinePoolSpec defines the desired state of UserProvisionedMachinePool
    Type
    object
    Required
    criversion
    PropertyTypeDescription
    clusterNamestring
    criobject
    poolarray
    rolestring
    versionstring

    .spec.cri

    Type
    object
    Required
    typeversion
    PropertyTypeDescription
    typestring
    versionstring

    .spec.pool

    Type
    array

    .spec.pool[]

    Type
    object
    Required
    credentialRefport
    PropertyTypeDescription
    annotationsobject
    credentialRefobject

    LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.

    ipstring
    ipv6string
    labelsobject
    networkDevicestring
    portinteger
    publicIpstring
    taintsarray

    .spec.pool[].annotations

    Type
    object

    .spec.pool[].credentialRef

    Description
    LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    .spec.pool[].labels

    Type
    object

    .spec.pool[].taints

    Type
    array

    .spec.pool[].taints[]

    Description
    The node this Taint is attached to has the "effect" on any pod that does not tolerate the Taint.
    Type
    object
    Required
    effectkey
    PropertyTypeDescription
    effectstring

    Required. The effect of the taint on pods that do not tolerate the taint. Valid effects are NoSchedule, PreferNoSchedule and NoExecute.

    keystring

    Required. The taint key to be applied to a node.

    timeAddedstring

    TimeAdded represents the time at which the taint was added. It is only written for NoExecute taints.

    valuestring

    The taint value corresponding to the taint key.

    .status

    Description
    UserProvisionedMachinePoolStatus defines the observed state of UserProvisionedMachinePool
    Type
    object
    Required
    phase
    PropertyTypeDescription
    conditionsarray
    machinesarray
    phasestring

    .status.conditions

    Type
    array

    .status.conditions[]

    Description
    Condition defines an observation of a Cluster API resource operational state.
    Type
    object
    Required
    lastTransitionTimestatustype
    PropertyTypeDescription
    lastTransitionTimestring

    Last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

    messagestring

    A human readable message indicating details about the transition. This field may be empty.

    reasonstring

    The reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may not be empty.

    severitystring

    Severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

    .status.machines

    Type
    array

    .status.machines[]

    Type
    string

    API Endpoints

    The following API endpoints are available:

    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachinepools
      • DELETE: delete collection of UserProvisionedMachinePool
      • GET: list objects of kind UserProvisionedMachinePool
      • POST: create a new UserProvisionedMachinePool
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachinepools/{name}
      • DELETE: delete the specified UserProvisionedMachinePool
      • GET: read the specified UserProvisionedMachinePool
      • PATCH: partially update the specified UserProvisionedMachinePool
      • PUT: replace the specified UserProvisionedMachinePool
    • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachinepools/{name}/status
      • GET: read status of the specified UserProvisionedMachinePool
      • PATCH: partially update status of the specified UserProvisionedMachinePool
      • PUT: replace status of the specified UserProvisionedMachinePool

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachinepools

    HTTP method
    DELETE
    Description
    delete collection of UserProvisionedMachinePool
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind UserProvisionedMachinePool
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePoolList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new UserProvisionedMachinePool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyUserProvisionedMachinePool schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    201 - CreatedUserProvisionedMachinePool schema
    202 - AcceptedUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachinepools/{name}

    HTTP method
    DELETE
    Description
    delete the specified UserProvisionedMachinePool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified UserProvisionedMachinePool
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified UserProvisionedMachinePool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified UserProvisionedMachinePool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyUserProvisionedMachinePool schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    201 - CreatedUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty

    /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachinepools/{name}/status

    HTTP method
    GET
    Description
    read status of the specified UserProvisionedMachinePool
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified UserProvisionedMachinePool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified UserProvisionedMachinePool
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyUserProvisionedMachinePool schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKUserProvisionedMachinePool schema
    201 - CreatedUserProvisionedMachinePool schema
    401 - UnauthorizedEmpty